.login a {
    color: black;
    font-weight: 600;
    padding: 10px;
    transition: .3s all ease;
    border: 2px solid #C0A063;
    border-radius: 10px;
}

.login a:hover {
    background: #C0A063;
    color: #fff;
}

.header_right-panel {
    display: flex;
    align-items: center;
    gap: 20px;
}

.lang-switcher {
    display: flex;
    gap: 10px;
    align-items: center;
}

.lang-link {
    color: #000;
    text-transform: uppercase;
    text-decoration: none;
    border: 1px solid #C0A063;
    padding: 5px 10px;
    border-radius: 8px;
    font-weight: 600;
    transition: 0.3s;
    font-size: 14px;
}

.lang-link:hover {
    background-color: #C0A063;
    color: white;
}

.lang-active {
    text-transform: uppercase;
    padding: 5px 10px;
    font-weight: 700;
    border-radius: 8px;
    background-color: #C0A063;
    color: white;
    font-size: 14px;
}

.login a {
    color: black;
    font-weight: 600;
    padding: 10px;
    transition: .3s all ease;
    border: 2px solid #C0A063;
    border-radius: 10px;
}

.login a .pc {
    display: inline; /* по умолчанию показываем на ПК */
}

.login a .mob {
    display: none;   /* на ПК скрыто */
}

/* Для мобильных (обычно до 768px) */
@media (max-width: 768px) {
    .login a {
        border: none;
    }

    .login a .pc {
        display: none; /* скрываем на мобилках */
    }

    .login a .mob {
        display: inline; /* показываем на мобилках */
    }

    .login a .mob svg {
        margin-bottom: -8px;
    }

    .lang-switcher {
        gap: 5px;
        margin-left: 15px;
    }

    .lang-link, .lang-active {
        font-size: 12px;
    }
}

.login a:hover {
    background: #C0A063;
    color: #fff;
}